class NewGameScores::CLI

  def call 
    start
  end 

  def welcome
    puts ""
    puts ""
    puts ""
    puts ":::::::::::::: Find The Newest Video Game Reviews Here ::::::::::::::"
    puts ""
    puts ""
    puts "Please choose your platform of choice."
    puts ""
    puts "1. PS4"
    puts "2. Xbox One"
    puts "3. PC"
    puts "4. Wii U"
    puts "5. 3ds"
    puts ""
  end

  def start
    welcome
    input = nil
    while input != 'exit' 
      puts ""
      puts "  Please type the number or the name of the platform that you would like to see the latest reviews for."
      puts ""
      puts "  If you would like to exit the program please type 'Exit'."
      puts ""
      input = gets.strip.upcase
      if input != 'EXIT' 
        puts "  What is the minimum score you would like to see a list of? (1-100)"
        puts ""
        score = gets.strip.upcase
      end 
      score

      if input == "PS4" || input == "1"
        list("PS4", "http://www.metacritic.com/browse/games/release-date/new-releases/ps4/metascore", score)

      elsif input == "XBOX ONE" || input == "2"
        list("Xbox One", "http://www.metacritic.com/browse/games/release-date/new-releases/xboxone/metascore", score)

      elsif input == "PC" || input == "3"
        list("PC", "http://www.metacritic.com/browse/games/release-date/new-releases/pc/metascore", score)

      elsif input == "WII U" || input == "4"
        list("Wii U", "http://www.metacritic.com/browse/games/release-date/new-releases/wii-u/metascore", score) 

      elsif input == "3DS" || input ==  "5"
        list("3ds", "http://www.metacritic.com/browse/games/release-date/new-releases/3ds/metascore", score) 

      elsif input == "EXIT"
        puts "  Goodbye!"
        exit == true
      end
    end
  end

  def list(name, url, score)
    puts ""
    puts "  Newest Game Releases for #{name}."
    list = NewGameScores::CollectionScraper.new(url, score)
    list.clear
    list.scrape_list
    list.display_list
    sleep(3)
    puts ""
    start
  end 

end
















